#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires running pcscd)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Chipcard
%define	pnam	PCSC
Summary:	Perl interface to the PC/SC smart card library
Summary(pl.UTF-8):	Interfejs perlowy do biblioteki PC/SC
Name:		perl-PCSC
Version:	1.4.14
Release:	6
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-perl/pcsc-perl-%{version}.tar.bz2
# Source0-md5:	45601505dbb7b27329811ac9bad35fab
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
# it's dlopened, so not autodetected
Requires:	pcsc-lite-libs >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PCSC module implements the PCSC class, Perl interface to the PC/SC
smart card library. Objects of this class are used to communicate with
the PCSC-lite daemon (pcscd(1)). PC/SC represents an abstraction layer
to smartcard readers. It provides a communication layer with a wide
variety of smart card readers through a standardized API.

%description -l pl.UTF-8
Moduł PCSC zawiera implementację klasy PCSC, perlowego interfejsu do
biblioteki PC/SC obsługującej czytniki kart Smart. Obiekty tej klasy
służą do komunikacji z demonem PCSC (pcscd(1)). Biblioteka PC/SC
stanowi abstrakcyjną warstwę dla czytników kart Smart. Udostępnia ona,
za pośrednictwem zestandaryzowanego API, warstwę komunikacyjną dla
wielu różnych czytników kart Smart.

%prep
%setup -q -n pcsc-perl-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	DEFINE="-Wall" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Chipcard/{PCSC.pod,PCSC/Card.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{perl_vendorarch}/Chipcard
%{perl_vendorarch}/Chipcard/PCSC.pm
%dir %{perl_vendorarch}/Chipcard/PCSC
%{perl_vendorarch}/Chipcard/PCSC/Card.pm
%dir %{perl_vendorarch}/auto/Chipcard
%dir %{perl_vendorarch}/auto/Chipcard/PCSC
%attr(755,root,root) %{perl_vendorarch}/auto/Chipcard/PCSC/PCSC.so
%{_mandir}/man3/Chipcard::PCSC*.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/gsm.script
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PCSC.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7c3db50
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 3f986fe
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 31d36bd
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 771fa65
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c6d3c18
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 595bc74
- updated to 1.4.14

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7e6280c
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 403a609
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7925828
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 468bdca
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a611ac1
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 347edec
- updated to 1.4.13

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1f50dab
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ede3a2
- updated to 1.4.12

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> f7e46f7
- updated to 1.4.11
- removed obsolete update patch

* Sun Aug 08 2010 Jakub Bogusz <qboosh@pld-linux.org> b4d5a09
- updated to 1.4.9
- added update patch to compile with current pcsc-lite

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea88f9b
- release 2

* Thu May 13 2010 sparky <sparky@pld-linux.org> 0858c82
- BR: pkgconfig

* Wed Mar 03 2010 amateja <amateja@pld-linux.org> 43a426d
- updated to 1.4.8

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 37058f1
- updated to 1.4.7

